@ECHO OFF & PUSHD "%~DP0" && CD /D "%~DP0"
>NUL 2>&1 REG.exe query "HKU\S-1-5-19" || (
    ECHO SET UAC = CreateObject^("Shell.Application"^) > "%TEMP%\Getadmin.vbs"
    ECHO UAC.ShellExecute "%~f0", "%1", "", "runas", 1 >> "%TEMP%\Getadmin.vbs"
    "%TEMP%\Getadmin.vbs"
    DEL /f /q "%TEMP%\Getadmin.vbs" 2>NUL
    Exit /b
)
ECHO.
SET /P ST=敲入a启用（自选），敲入d禁用（默认）
if /I "%ST%"=="a" goto Add
if /I "%ST%"=="d" goto Remove
:Add
taskkill /f /im IObitUninstaler.exe >NUL 2>NUL
taskkill /f /im UninstallMonitor.exe >NUL 2>NUL
taskkill /f /im UninstallPromote.exe >NUL 2>NUL
if exist App\Uninstaller\UninstallMonitor.bak (ren App\Uninstaller\UninstallMonitor.bak UninstallMonitor.exe >nul)
exit
:Remove
taskkill /f /im IObitUninstaler.exe >NUL 2>NUL
taskkill /f /im UninstallMonitor.exe >NUL 2>NUL
taskkill /f /im UninstallPromote.exe >NUL 2>NUL
if exist App\Uninstaller\UninstallMonitor.exe (ren App\Uninstaller\UninstallMonitor.exe UninstallMonitor.bak >nul)
exit